<?php
/*
 * Copyright (c) 2022 LatePoint LLC. All rights reserved.
 */

if ( ! defined( 'ABSPATH' ) ) {
  exit; // Exit if accessed directly.
}


if ( ! class_exists( 'OsProcessesController' ) ) :


  class OsProcessesController extends OsController
  {

	  function __construct()
	  {
		  parent::__construct();

		  $this->views_folder = LATEPOINT_VIEWS_ABSPATH . 'processes/';
		  $this->vars['page_header'] = __('Processes', 'latepoint');
		  $this->vars['breadcrumbs'][] = array('label' => __('Processes', 'latepoint'), 'link' => OsRouterHelper::build_link(OsRouterHelper::build_route_name('processes', 'index')));
	  }

		function new_action(){
			$action = new \LatePoint\Misc\ProcessAction();
			$response_html = \LatePoint\Misc\ProcessAction::generate_form($action);

			if($this->get_return_format() == 'json'){
        $this->send_json(array('status' => LATEPOINT_STATUS_SUCCESS, 'message' => $response_html));
      }
		}

		function index(){

			$processes = new OsProcessModel();
			$this->vars['processes'] = $processes->get_results_as_models();
      $this->format_render(__FUNCTION__);
		}
  }

endif;