<?php
/* @var $process OsProcessModel */
?>
<form action="" data-os-form-block-id="<?php echo $process->id; ?>"
			data-os-action="<?php echo OsRouterHelper::build_route_name('processes', 'save'); ?>"
			data-os-after-call="latepoint_custom_field_saved"
			class="os-form-block os-form-block-type-<?php echo $process->type; ?> <?php if(empty($process->label)) echo 'os-is-editing'; ?>">
	<div class="os-form-block-i">
		<div class="os-form-block-header">
			<div class="os-form-block-drag"></div>
			<div class="os-form-block-name"><?php echo !empty($process->label) ? $process->label : __('New Field', 'latepoint'); ?></div>
			<div class="os-form-block-type"><?php echo $process->type; ?></div>
			<div class="os-form-block-edit-btn"><i class="latepoint-icon latepoint-icon-edit-3"></i></div>
		</div>
		<div class="os-form-block-params os-form-w">
      <div class="sub-section-row">
        <div class="sub-section-label">
          <h3><?php _e('Field Label', 'latepoint') ?></h3>
        </div>
        <div class="sub-section-content">
					<?php echo OsFormHelper::text_field('process[name]', '', $process->name, ['theme' => 'bordered', 'placeholder' => __('Process Name', 'latepoint')]); ?>
        </div>
      </div>
      <div class="sub-section-row">
        <div class="sub-section-label">
          <h3><?php _e('Event Type', 'latepoint') ?></h3>
        </div>
        <div class="sub-section-content">
					<?php echo OsFormHelper::select_field('process[event][type]', false, \LatePoint\Misc\ProcessEvent::get_event_types(), $process->event->type); ?>
        </div>
      </div>
      <div class="sub-section-row">
        <div class="sub-section-label">
          <h3><?php _e('Conditional', 'latepoint') ?></h3>
        </div>
        <div class="sub-section-content">
          <?php echo OsFormHelper::toggler_field('process[event][conditional]', __('Trigger only when conditions are met', 'latepoint'), !empty($process->event_conditions), "pe-conditions-for-". $process->id); ?>
          <div class="pe-conditions" id="pe-conditions-for-<?php echo esc_attr($process->id); ?>" style="<?php echo (!empty($process->event_conditions)) ? 'display:  block;' : ''; ?>">
            <h3><?php _e('Trigger event if:', 'latepoint'); ?></h3>
            <?php
              if($process->event_conditions){
                foreach($process->event_conditions as $condition_id => $condition){
									echo $process->event->conditions_form_html();
                }
              }else{
								echo $process->event->conditions_form_html();
              }
            ?>
          </div>
        </div>
      </div>
      <div class="sub-section-row">
        <div class="sub-section-label">
          <h3><?php _e('Actions', 'latepoint') ?></h3>
        </div>
        <div class="sub-section-content">
					<?php
					foreach($process->actions as $action){
						echo OsFormHelper::select_field('process[actions]['.$action->id.'][type]', __('Action', 'latepoint'), \LatePoint\Misc\ProcessAction::get_action_types(), $action->type);
					}
					?>
	        <a href="#" class="latepoint-btn latepoint-btn-block latepoint-btn-outline"  data-os-action="<?php echo OsRouterHelper::build_route_name('processes', 'new_action'); ?>" data-os-before-after="before">
		        <i class="latepoint-icon latepoint-icon-plus"></i>
		        <span><?php _e('Add Action', 'latepoint');  ?></span>
	        </a>
        </div>
      </div>
      <div class="os-form-block-buttons">
				<a href="#" class="latepoint-btn latepoint-btn-danger pull-left" data-os-prompt="<?php _e('Are you sure you want to delete this process?', 'latepoint'); ?>"  data-os-after-call="latepoint_custom_field_removed" data-os-pass-this="yes" data-os-action="<?php echo OsRouterHelper::build_route_name('processes', 'delete'); ?>" data-os-params="<?php echo OsUtilHelper::build_os_params(['id' => $process->id, 'fields_for' => $fields_for]) ?>" class="os-remove-custom-field"><?php _e('Delete', 'latepoint-taxes'); ?></a>
			  <button type="submit" class="os-form-block-save-btn latepoint-btn latepoint-btn-primary"><span><?php _e('Save Process', 'latepoint'); ?></span></button>
		  </div>
		</div>
	</div>
	<a href="#" data-os-prompt="<?php _e('Are you sure you want to delete this process?', 'latepoint'); ?>"  data-os-after-call="latepoint_custom_field_removed" data-os-pass-this="yes" data-os-action="<?php echo OsRouterHelper::build_route_name('processes', 'delete'); ?>" data-os-params="<?php echo OsUtilHelper::build_os_params(['id' => $process->id, 'fields_for' => $fields_for]) ?>" class="os-remove-form-block"><i class="latepoint-icon latepoint-icon-cross"></i></a>
</form>